// convocatoria.h - Declaración de la clase CConvocatoria
#if !defined( _CONVOCATORIA_H_ )
#define _CONVOCATORIA_H_
#include <string>
#include "fecha.h"

class CConvocatoria
{
  private:
    int convocatoria;  // número (1, 2, ...) de convocatoria
    std::string fecha; // seis dígitos (mes y año): mmaaaa
    float nota;   // nota obtenida en la convocatoria especificada
  public:
    CConvocatoria(int c = 0, float n = 0);
    void asignarConvocatoria(int conv);
    int obtenerConvocatoria() const;
    void asignarFecha(int mes = 0, int anyo = 0); // por omisión, fecha actual
    std::string obtenerFecha() const;
    void asignarNota(float n);
    float obtenerNota();
};

#endif // _CONVOCATORIA_H_

